ConfigurationException
Date: 2016-02-08

org.apache.avalon.framework.configuration

## Class ConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.avalon.framework.CascadingException
      - - org.apache.avalon.framework.configuration.ConfigurationException

- All Implemented Interfaces:
    java.io.Serializable, CascadingThrowable

      public class ConfigurationException
      extends CascadingException

  Thrown when a `Configurable` component cannot be configured properly, or if a value cannot be retrieved properly.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationException(Configuration config)` Construct a new `ConfigurationException` instance.
    `ConfigurationException(java.lang.String message)` Construct a new `ConfigurationException` instance.
    `ConfigurationException(java.lang.String message, Configuration config)` Construct a new `ConfigurationException` instance.
    `ConfigurationException(java.lang.String message, Configuration config, java.lang.Throwable throwable)` Construct a new `ConfigurationException` instance.
    `ConfigurationException(java.lang.String message, java.lang.Throwable throwable)` Construct a new `ConfigurationException` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMessage()`
    `Configuration` | `getOffendingConfiguration()`

    - ### Methods inherited from class org.apache.avalon.framework.CascadingException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigurationException

          public ConfigurationException(Configuration config)

      Construct a new `ConfigurationException` instance.
      Parameters:
        `config` - The offending configuration object

    - #### ConfigurationException

          public ConfigurationException(java.lang.String message)

      Construct a new `ConfigurationException` instance.
      Parameters:
        `message` - The detail message for this exception.

    - #### ConfigurationException

          public ConfigurationException(java.lang.String message,
                                java.lang.Throwable throwable)

      Construct a new `ConfigurationException` instance.
      Parameters:
        `message` - The detail message for this exception.
        `throwable` - the root cause of the exception

    - #### ConfigurationException

          public ConfigurationException(java.lang.String message,
                                Configuration config)

      Construct a new `ConfigurationException` instance.
      Parameters:
        `message` - The detail message for this exception.
        `config` - The configuration object

    - #### ConfigurationException

          public ConfigurationException(java.lang.String message,
                                Configuration config,
                                java.lang.Throwable throwable)

      Construct a new `ConfigurationException` instance.
      Parameters:
        `message` - The detail message for this exception.
        `throwable` - the root cause of the exception

  - ### Method Detail

    - #### getOffendingConfiguration

          public Configuration getOffendingConfiguration()

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`